## gobject-introspection 1.64.0

=== debian/changelog ===
gobject-introspection (1.64.0-2) unstable; urgency=medium

  * debian/dh_girepository: Make the parsing of BD more robust.
    Thanks to Simon McVittie (Closes: #933729)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Mar 2020 20:17:49 +0100

gobject-introspection (1.64.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Add Breaks on older cjs, to avoid broken partial upgrades when
    transitioning to libffi7 (see version 1.62.0-5 for more details)

  [ Iain Lane ]
  * New upstream release
    + Update glib annotations
    + Fix regress scanner tests for non-gcc/clang compilers
  * gimarshallingtests-Use-g_assert_cmpfloat_with_epsilon.patch: Add. Don't
    perform exact float comparisons; this doesn't work everywhere -
    particularly on i386. This should fix the tests for gjs 1.62.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 12 Mar 2020 18:17:19 +0000

gobject-introspection (1.63.2-1) experimental; urgency=medium

  * New upstream release
    - Add GMemoryMonitor to glib annotations
    - autotools: Make INTROSPECTION_GIRDIR/INTROSPECTION_TYPELIBDIR respect
      prefix/datadir/libdir
    - build: require meson 0.50.1
    - build: use proper dylib versioning on macOS
    - Cross compile support
    - Drop deprecated xml.etree.ElementTree.Element.getchildren() calls
    - Fix a memory leak in g_irepository_get_object_gtype_interfaces()
    - Fix build reproducibility
    - Fix non-libtool code being run with no nob-libtool dependencies
    - girepository: Also store GType cache misses
    - meson: change "cairo" from a boolean to a feature option
    - meson: change "doctool" from a boolean to a feature option
    - scanner: Support array arguments with static keyword
    - tests: Actually test libregress by specifying the LD_LIBRARY_PATH
    - Update glib annotations
  * rules: Update doctool/cairo build flags for bool → feature switch
  * control: Bump BD on meson to 0.50.1 per upstream

 -- Iain Lane <laney@debian.org>  Mon, 17 Feb 2020 18:19:18 +0000
