=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                dh-sequence-python3,
-               meson (>= 0.49.2),
+               meson (>= 0.50.1),
                python3-dev,
                python3-distutils,
                pkg-config,
@@ -36,7 +36,8 @@
 Depends: libglib2.0-0 (>= 2.62.4-2~),
          ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libgjs0g (<< 1.58.1-2~),
+Breaks: libcjs0 (<< 4.4.0-2~),
+        libgjs0g (<< 1.58.1-2~),
         libglib-object-introspection-perl (<< 0.048-2~),
         python-gi (<< 3.34.0-4~),
         python3-gi (<< 3.34.0-4~),
@@ -104,6 +105,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
+         libdpkg-perl,
          libgirepository-1.0-1 (= ${binary:Version}),
          build-essential,
          python3-distutils,
