## gobject-introspection 1.64.1

=== debian/changelog ===
gobject-introspection (1.64.1-1~ubuntu20.04.1) focal; urgency=medium

  * Backport new stable release from unstable / groovy. (LP: #1876693)
  * control, gbp.conf: Update for focal

 -- Iain Lane <iain.lane@canonical.com>  Mon, 04 May 2020 11:13:36 +0100

gobject-introspection (1.64.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/p/gimarshallingtests-Use-g_assert_cmpfloat_with_epsilon.patch:
      Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Apr 2020 12:02:48 +0100
