=== debian/control ===
--- 
+++ 
@@ -26,8 +26,10 @@
 Build-Depends-Indep: libglib2.0-doc
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection/-/tree/ubuntu/focal
+Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git -b ubuntu/focal
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
 
 Package: libgirepository-1.0-1
