=== debian/changelog ===
gobject-introspection (1.66.1-1) unstable; urgency=medium

  * New upstream release
    - Update GLib annotations
    - gimarshallingtests: Add more tests for flags
    - Revert a documentation-processing change that caused regressions
  * d/p/debian/multiarch_compat.patch: Move from d/p/ to debian/
    subdirectory.
    This is a Debian-specific patch that is not intended to go upstream.

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Oct 2020 10:30:19 +0100

gobject-introspection (1.66.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Support the gtk-doc GTK 4 action syntax
    - GITypeInfo storage type utility API
    - Fix XDG_DATA_DIRS logic
    - libgirepository: Add missing nullable annotations
    - dumper: Fix missing symbols in LTO case or with overridden symbol
      visibility settings
    - Documentation improvements
    - giscanner: parse block comments for members and fields
    - Add the notion of standalone doc sections
    - giscanner: Fix section matching for documentation
  * Update symbols file

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Sep 2020 09:39:58 +0100
