=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dgtk_doc=true \
-		-Dcairo=true \
-		-Ddoctool=true \
+		-Dcairo=enabled \
+		-Ddoctool=enabled \
 		-Dpython=python3
 
 override_dh_auto_build: $(MANPAGES)
