## gobject-introspection 1.68.0

=== debian/changelog ===
gobject-introspection (1.68.0-1build2) impish; urgency=medium

  * No-change rebuild against libffi 3.4.2-1ubuntu5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Sep 2021 18:42:01 +0200

gobject-introspection (1.68.0-1build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Sep 2021 16:59:06 +0200

gobject-introspection (1.68.0-1) experimental; urgency=medium

  * New upstream release:
    - Update GLib annotations
  * debian/control:
    - Add python3-dev versioned dependency to match upstream
    - Use dh 13 so that we can get --fail-missing for free
    - Bump Standards-Version, no change required
  * debian/patches: Do not install win32 gir files in non-windows
  * debian: Install examples in gobject-introspection and libgirepository1.0-dev
  * debian/rules: Remove redoundant --as-needed
  * debian: Use debhelper 13 variable substitution in install files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 17 Jun 2021 15:29:28 +0200
