=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                meson (>= 0.50.1),
-               python3-dev,
+               python3-dev (>= 3.6),
                python3-distutils,
                pkg-config,
                flex,
@@ -25,11 +25,9 @@
                python3-markdown
 Build-Depends-Indep: libglib2.0-doc
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection/-/tree/ubuntu/focal
-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git -b ubuntu/focal
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
+Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
 
 Package: libgirepository-1.0-1
