=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
+
+export GIR_SONAME = 1
+export GIR_API_VERSION = 1.0
+export GIR_FORMAT = 1.2
 
 MANPAGES := debian/dh_girepository.1
 $(MANPAGES): debian/dh_girepository
