## gobject-introspection 1.72.0

=== debian/changelog ===
gobject-introspection (1.72.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/libgirepository-1.0-1.symbols.in: Add new symbols
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 12:27:20 +0000

gobject-introspection (1.71.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.58.2
  * Drop 2 patches applied in new release
  * debian/libgirepository-1.0-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 11:00:35 -0500

gobject-introspection (1.70.0-3) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with latest meson

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Jan 2022 21:05:47 -0500

gobject-introspection (1.70.0-2) unstable; urgency=medium

  * Team upload
  * Generate a dependency on libgirepository-1.0-1-with-libffi8 where needed.
    A few gobject-introspection symbols have libffi data structures in their
    arguments or results, resulting in crashes if a dependent package is
    not expecting the same ABI of libffi. Add a Provides on a virtual
    package with a programmatically-generated name such as
    libgirepository-1.0-1-with-libffi8, and generate dependencies on that
    virtual package if the affected symbols are used, so that
    gobject-introspection and its users are all on the same side of each
    future libffi transition. (Closes: #995032)
  * d/control.in: Add Breaks on cjs, gjs, etc. that expect the libffi7 ABI.
    Newer versions of these libraries have been binNMU'd against the libffi8
    ABI, and future versions of them will pick up a dependency on
    libgirepository-1.0-1-with-libffi8, but their versions in bullseye and
    testing are not compatible with a version of gobject-introspection that
    was compiled against libffi8. (Also necessary for #995032)
  * Build-depend on libffi-dev (>= 3.4).
    This makes sure we are on the "new" side of the libffi8 transition,
    so that the Breaks mentioned above make sense.
  * Add a Lintian override for #970275
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 25 Sep 2021 17:33:11 +0100

gobject-introspection (1.70.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.70
  * debian/control.in: Bump minimum meson to 0.55.3
  * debian/libgirepository-1.0-1.symbols: Add new symbols
  * debian/rules: Clean up a bit

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 20 Sep 2021 19:42:00 -0400

gobject-introspection (1.68.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Aug 2021 09:52:31 +0100
