=== debian/control ===
--- 
+++ 
@@ -6,26 +6,28 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
-               meson (>= 0.50.1),
+               meson (>= 0.58.2),
+               python3:native,
+               python3-debian:native,
                python3-dev (>= 3.6),
                python3-distutils,
                pkg-config,
                flex,
                gtk-doc-tools (>= 1.19),
                bison,
-               libglib2.0-dev (>= 2.62.4-2~),
+               libglib2.0-dev (>= 2.70.0),
                libcairo2-dev,
-               libffi-dev (>= 3.3),
+               libffi-dev (>= 3.4),
                libtool,
                python3-mako,
                python3-markdown
-Build-Depends-Indep: libglib2.0-doc
+Build-Depends-Indep: libglib2.0-doc (>= 2.70.0)
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
 Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
@@ -33,15 +35,16 @@
 Package: libgirepository-1.0-1
 Section: libs
 Architecture: any
-Depends: libglib2.0-0 (>= 2.62.4-2~),
+Provides: libgirepository-1.0-1-with-${gobjectintrospection:libffiN} (= ${binary:Version})
+Depends: libglib2.0-0 (>= 2.70.0),
          ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libcjs0 (<< 4.4.0-2~),
-        libgjs0g (<< 1.58.1-2~),
-        libglib-object-introspection-perl (<< 0.048-2~),
-        python-gi (<< 3.34.0-4~),
-        python3-gi (<< 3.34.0-4~),
-        ruby-gobject-introspection (<< 3.4.1-2~),
+Breaks: libcjs0 (<< 4.8.2-1+b1),
+        libgjs0g (<< 1.68.4-1+b1),
+        libglib-object-introspection-perl (<< 0.049-1+b2),
+        python-gi (<< 3.42.0-1+b1),
+        python3-gi (<< 3.42.0-1+b1),
+        ruby-gobject-introspection (<< 3.4.3-1+b2),
 Multi-Arch: same
 Description: Library for handling GObject introspection data (runtime library)
  GObject Introspection is a project for providing machine readable
@@ -62,8 +65,8 @@
          gobject-introspection (= ${binary:Version}),
          gir1.2-glib-2.0 (= ${binary:Version}),
          gir1.2-freedesktop (= ${binary:Version}),
-         libglib2.0-dev (>= 2.58.0),
-         libffi-dev (>= 3.3),
+         libglib2.0-dev (>= 2.70.0),
+         libffi-dev (>= 3.4),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
