=== debian/control ===
--- 
+++ 
@@ -6,28 +6,28 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jeremy.bicha@canonical.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
-               meson (>= 0.58.2),
+               meson (>= 0.60.0),
                python3:native,
                python3-debian:native,
-               python3-dev (>= 3.6),
+               python3-dev,
                python3-distutils,
                pkg-config,
                flex,
-               gtk-doc-tools (>= 1.19),
+               gtk-doc-tools,
                bison,
-               libglib2.0-dev (>= 2.70.0),
+               libglib2.0-dev (>= 2.74.0),
                libcairo2-dev,
                libffi-dev (>= 3.4),
                libtool,
                python3-mako,
                python3-markdown
-Build-Depends-Indep: libglib2.0-doc (>= 2.70.0)
+Build-Depends-Indep: libglib2.0-doc (>= 2.73.0)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
 Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
@@ -36,8 +36,7 @@
 Section: libs
 Architecture: any
 Provides: libgirepository-1.0-1-with-${gobjectintrospection:libffiN} (= ${binary:Version})
-Depends: libglib2.0-0 (>= 2.70.0),
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends}
 Breaks: libcjs0 (<< 4.8.2-1+b1),
         libgjs0g (<< 1.68.4-1+b1),
@@ -65,11 +64,10 @@
          gobject-introspection (= ${binary:Version}),
          gir1.2-glib-2.0 (= ${binary:Version}),
          gir1.2-freedesktop (= ${binary:Version}),
-         libglib2.0-dev (>= 2.70.0),
+         libglib2.0-dev (>= 2.74.0),
          libffi-dev (>= 3.4),
          ${shlibs:Depends},
          ${misc:Depends}
-Multi-Arch: same
 Suggests: libgirepository1.0-doc
 Description: Library for handling GObject introspection data (development files)
  GObject Introspection is a project for providing machine readable
