## gobject-introspection 1.76.1

=== debian/changelog ===
gobject-introspection (1.76.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 15:41:48 -0400

gobject-introspection (1.76.0-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/watch: Use the specific version of GLib matching gir/g*.c

  [ Jeremy Bicha ]
  * debian/watch: Bump glib version to 2.76.0
  * Add patch to revert new tests that do not work on all architectures
    (Closes: #1032959)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 16:09:35 -0400

gobject-introspection (1.76.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.76.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 08:37:36 -0400

gobject-introspection (1.75.6-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build against glib 2.75
  * debian/libgirepository-1.0-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Feb 2023 11:30:17 -0500
