=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Matthias Klumpp <mak@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -19,7 +19,7 @@
                flex,
                gtk-doc-tools,
                bison,
-               libglib2.0-dev (>= 2.74.0),
+               libglib2.0-dev (>= 2.76.0),
                libcairo2-dev,
                libffi-dev (>= 3.4),
                libtool,
@@ -64,7 +64,7 @@
          gobject-introspection (= ${binary:Version}),
          gir1.2-glib-2.0 (= ${binary:Version}),
          gir1.2-freedesktop (= ${binary:Version}),
-         libglib2.0-dev (>= 2.74.0),
+         libglib2.0-dev (>= 2.76.0),
          libffi-dev (>= 3.4),
          ${shlibs:Depends},
          ${misc:Depends}
